Bug 1011620 - Track all the components supported/not supported by product (vs project) somewhere
Track all the components supported/not supported by product (vs project) some...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: DR6
: 6.2.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 12:16 EDT by Mircea Markus
Modified: 2014-11-30 16:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 17:50:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Misha H. Ali 2013-09-24 19:25:05 EDT
Thanks Mircea. What we have at the moment to track this is the technical preview document, which contains a list of features and an indication of whether they are currently supported. The latest version of this guide (WIP) also contains a list of features that are strictly tech preview for this release.

https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6/html/Technical_Preview/sect-Technical_Preview-Features.html

The idea is that for each version, you can refer to the technical preview document to see if that feature is supported for that version. However, I can see your point about this not being obvious. Perhaps an introductory topic in the first chapter of every book that points used to the tech preview document as a place to get a quick answer about "is feature X supported?" would suffice?

Please let me know your thoughts!
Comment 3 Mircea Markus 2013-09-25 06:26:24 EDT
Thanks Misha, this enumeration of supported features is actually what I'm after!
What is the "technical preview document" btw? I guess it doesn't have to do with the features that are "technical preview" in a release (a tech preview feature is a feature that is not supported, but delivered to users for "beta" testing)? If it doesn't we might want to use a different name for it as this name is a bit confusing :-)
Comment 7 Misha H. Ali 2013-09-25 19:43:50 EDT
So two issues here, and I will add a new bug to track folding in the tech preview doc into the release notes.

For this bug, the scope should be to add a topic linking users to the component list. Divya, the need info was to get your thoughts on the solution proposed in comment #5. If you ACK that this is the direction you want us to take, I'll create a change request to get everyone else on board and create a new bug to track the change, if approved.
Comment 8 Misha H. Ali 2013-09-25 21:10:44 EDT
Logged a change request for moving the list of *features* (I'll create a new bug to track that if approved).

This bug's scope is now limited to adding information about the components list to the docs, in the first chapter common to all books.
Comment 9 Misha H. Ali 2013-09-25 22:01:01 EDT
Added new topic for components and version information:

Components and Versions [23128]

Added topic to:

* Admin and Config Guide
* Developer Guide
* Getting Started Guide
* Infinispan Query Guide
* Performance Tuning Guide Draft
Comment 13 Martin Gencur 2013-09-27 03:37:14 EDT
Looks good to me.
Comment 14 Misha H. Ali 2013-11-07 17:50:22 EST
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.